import { MigrationInterface, QueryRunner } from "typeorm";

export class UpdateTablePosMasterIsSit1707306721668 implements MigrationInterface {
    name = 'UpdateTablePosMasterIsSit1707306721668'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`posMaster\` ADD \`isSit\` tinyint NOT NULL COMMENT 'นั่งทับตำแหน่งไหม' DEFAULT 0`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`posMaster\` DROP COLUMN \`isSit\``);
    }

}
